package com.hcordova.flightagencyapi.agent.domain.models;

import java.time.LocalDate;

import com.hcordova.flightagencyapi.shared.domain.models.User;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.OneToOne;
import jakarta.persistence.Table;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Table(name = "agents")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Agent {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private String details;

    @OneToOne()
    private User user;

    @Column(nullable = false)
    @Temporal(TemporalType.DATE)
    private LocalDate createdAt;

    @Column(nullable = true)
    @Temporal(TemporalType.DATE)
    private LocalDate deletedAt;
}
