package com.hcordova.flightagencyapi.aircraft.controllers;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hcordova.flightagencyapi.aircraft.domain.services.AircraftService;
import com.hcordova.flightagencyapi.aircraft.dto.AircraftDTO;

import lombok.RequiredArgsConstructor;

@CrossOrigin(origins = "*")
@RestController
@RequestMapping("/api/v1/aircrafts")
@RequiredArgsConstructor
public class AircraftController {
    private final AircraftService aircraftService;

    @GetMapping
    public ResponseEntity<List<AircraftDTO>> getAll() {
        return ResponseEntity.ok(this.aircraftService.getAll().stream().map(aircraft -> {
            return new AircraftDTO(aircraft);
        }).toList());
    }
}
