package com.hcordova.flightagencyapi.aircraft.services;

import java.util.List;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.aircraft.domain.models.Aircraft;
import com.hcordova.flightagencyapi.aircraft.domain.repositories.AircraftRepository;
import com.hcordova.flightagencyapi.aircraft.domain.services.AircraftService;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class AircraftServiceImpl implements AircraftService {

    private final AircraftRepository aircraftRepository;

    @Override
    public List<Aircraft> getAll() {
        return aircraftRepository.findAll();
    }

    @Override
    public Aircraft getById(Long id) {
        return aircraftRepository.findById(id)
            .orElseThrow(() -> new RuntimeException("Aircraft not found"));
    }
}
