package com.hcordova.flightagencyapi.airline.services;

import java.util.List;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.airline.domain.models.Airline;
import com.hcordova.flightagencyapi.airline.domain.repositories.AirlineRepository;
import com.hcordova.flightagencyapi.airline.domain.services.AirlineService;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class AirlineServiceImpl implements AirlineService{
    private final AirlineRepository airlineRepository;

    @Override
    public List<Airline> getAll() {
        return this.airlineRepository.findAll();
    }

    @Override
    public Airline getById(Long id) {
        return this.airlineRepository.findById(id)
            .orElseThrow(() -> new NotFoundException("Airline not found"));
    }
}
