package com.hcordova.flightagencyapi.airport.services;

import java.util.List;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.airport.domain.models.Airport;
import com.hcordova.flightagencyapi.airport.domain.repositories.AirportRepository;
import com.hcordova.flightagencyapi.airport.domain.services.AirportService;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class AirportServiceImpl implements AirportService {

    private final AirportRepository airportRepository;

    @Override
    public List<Airport> getAll() {
        return airportRepository.findAll();
    }

    @Override
    public Airport getById(Long id) {
        return airportRepository.findById(id)
            .orElseThrow(() -> new NotFoundException(String.format("Airport with id %d not found", id)));
    }
}
