package com.hcordova.flightagencyapi.flight.domain.models;

import java.time.LocalDate;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Table(name = "flight_costs")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class FlightCost {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ManyToOne(optional = false)
    @JoinColumn(name = "flight_schedule_id", nullable = false, updatable = false)
    private FlightSchedule flightSchedule;

    @Column(nullable = false)
    @Temporal(TemporalType.DATE)
    private LocalDate dateStart;

    @Column(nullable = false)
    @Temporal(TemporalType.DATE)
    private LocalDate dateEnd;

    @Column(nullable = false, columnDefinition = "DECIMAL(10,2)")
    private Double cost;
}
