package com.hcordova.flightagencyapi.flight.domain.repositories;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.hcordova.flightagencyapi.flight.domain.models.FlightSchedule;




@Repository
public interface FlightScheduleRepository extends JpaRepository<FlightSchedule, Long> {
    List<FlightSchedule> findAllByDeletedAtIsNull();

    List<FlightSchedule> findByAirportOrigin_Id(Long airportOriginId);

    @Query("SELECT fs FROM FlightSchedule fs WHERE fs.airportOrigin.id = ?1 AND fs.airportDestination.id = ?2 AND (?3 between fs.departureDateTime AND fs.arrivalDateTime) AND fs.deletedAt IS NULL")
    List<FlightSchedule> searchFlight(Long airportOriginId, Long airportDestinationId, LocalDateTime startDate);

    Optional<FlightSchedule> findByIdAndDeletedAtIsNull(Long id);
}
