package com.hcordova.flightagencyapi.flight.dto;

import java.time.LocalDateTime;

import com.hcordova.flightagencyapi.flight.domain.models.FlightSchedule;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class FlightAllDTO {
    private Long id;
    private String airportOrigin;
    private String airportDestination;
    private LocalDateTime departureDate;
    private LocalDateTime arrivalDate;

    public FlightAllDTO(FlightSchedule flightSchedule) {
        this.id = flightSchedule.getId();
        this.airportOrigin = flightSchedule.getAirportOrigin().getName();
        this.airportDestination = flightSchedule.getAirportDestination().getName();
        this.departureDate = flightSchedule.getDepartureDateTime();
        this.arrivalDate = flightSchedule.getArrivalDateTime();
    }
}
