package com.hcordova.flightagencyapi.flight.dto;

import java.util.List;

import com.hcordova.flightagencyapi.flight.domain.models.FlightSchedule;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class FlightByDTO {
    private Long id;
    private String airline;
    private Long airlineId;
    private String aircraft;
    private Long aircraftId;
    private String departureDate;
    private String arrivalDate;
    private List<LegDTO> legs;
    private List<FlightCostDTO> costs;

    public FlightByDTO(FlightSchedule flightSchedule) {
        this.id = flightSchedule.getId();
        this.departureDate = flightSchedule.getDepartureDateTime().toLocalDate().toString();
        this.arrivalDate = flightSchedule.getArrivalDateTime().toLocalDate().toString();
        this.airline = flightSchedule.getAirline().getName();
        this.airlineId = flightSchedule.getAirline().getId();
        this.aircraft = flightSchedule.getAircraft().getName();
        this.aircraftId = flightSchedule.getAircraft().getId();
        this.legs = flightSchedule.getLegs().stream().map(leg -> {
            return new LegDTO(leg);
        }).toList();
        this.costs = flightSchedule.getCosts().stream().map(cost -> {
            return new FlightCostDTO(cost);
        }).toList();
    }
}
