package com.hcordova.flightagencyapi.passenger.domain.models;

import java.time.LocalDate;

import com.hcordova.flightagencyapi.shared.domain.models.User;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.OneToOne;
import jakarta.persistence.Table;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Table(name = "passengers")
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class Passenger {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false, length = 30)
    private String country;

    @Column(nullable = false, length = 30)
    private String city;

    @Column(nullable = false, length = 100)
    private String address;

    @Column(nullable = false, length = 12)
    private String phone;

    @Column(nullable = false)
    @Temporal(TemporalType.DATE)
    private LocalDate createdAt;

    @Column(nullable = true)
    private LocalDate deletedAt;

    @OneToOne()
    private User user;
}
