package com.hcordova.flightagencyapi.passenger.dto;

import com.hcordova.flightagencyapi.passenger.domain.models.Passenger;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
public class PassengerTableDTO {
    private Long id;
    private String name;
    private String lastname;
    private String fullname;
    private String country;
    private String city;
    private String phone;
    private String email;

    public PassengerTableDTO(Passenger passenger) {
        this.id = passenger.getId();
        this.name = passenger.getUser().getName();
        this.lastname = passenger.getUser().getLastname();
        this.fullname = passenger.getUser().getName() + " " + passenger.getUser().getLastname();
        this.country = passenger.getCountry();
        this.city = passenger.getCity();
        this.phone = passenger.getPhone();
        this.email = passenger.getUser().getEmail();
    }
}
