package com.hcordova.flightagencyapi.payment.services;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.payment.domain.models.PaymentStatus;
import com.hcordova.flightagencyapi.payment.domain.repositories.PaymentStatusRepository;
import com.hcordova.flightagencyapi.payment.domain.services.PaymentStatusService;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class PaymentStatusServiceImpl implements PaymentStatusService {

    private final PaymentStatusRepository paymentStatusRepository;
    
    @Override
    public PaymentStatus findByName(String name) {
        return paymentStatusRepository.findByName(name)
            .orElseThrow(() -> new NotFoundException("Payment status not exists!"));
    }
    
}
