package com.hcordova.flightagencyapi.reservation.controllers;

import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hcordova.flightagencyapi.reservation.domain.services.TicketTypeService;
import com.hcordova.flightagencyapi.reservation.dto.TicketTypeDTO;

import lombok.RequiredArgsConstructor;

@RestController
@RequestMapping("/api/v1/ticket-types")
@RequiredArgsConstructor
public class TicketTypeController {
    private final TicketTypeService ticketTypeService;

    @GetMapping
    public List<TicketTypeDTO> getAll() {
        return ticketTypeService.getAll().stream().map(ticketType -> {
            return new TicketTypeDTO(ticketType);
        }).toList();
    }
}
