package com.hcordova.flightagencyapi.reservation.controllers;

import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hcordova.flightagencyapi.reservation.domain.services.TravelClassService;
import com.hcordova.flightagencyapi.reservation.dto.TravelClassDTO;

import lombok.RequiredArgsConstructor;

@RestController
@RequestMapping("/api/v1/travel-classes")
@RequiredArgsConstructor
public class TravelClassController {
    private final TravelClassService travelClassService;

    @GetMapping
    public List<TravelClassDTO> getAll() {
        return travelClassService.getAll().stream().map(travelClass -> {
            return new TravelClassDTO(travelClass);
        }).toList();
    }
}
