package com.hcordova.flightagencyapi.reservation.dto;

import com.hcordova.flightagencyapi.reservation.domain.models.Reservation;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ReservationDTO {
    private Long id;
    private String passenger;
    private String ticketType;
    private String travelClass;
    private String status;

    public ReservationDTO(Reservation reservation) {
        this.id = reservation.getId();
        this.passenger = reservation.getPassenger().getUser().getName() + " " + reservation.getPassenger().getUser().getLastname();
        this.ticketType = reservation.getTicketType().getName();
        this.travelClass = reservation.getTravelClass().getName();
        this.status = convertStatus(reservation.getStatus().getName());
    }

    private String convertStatus(String status) {
        switch (status.toLowerCase()) {
            case "registered":
                return "Registrado";
            case "processing_payment":
                return "Procesando pago";
            case "paid":
                return "Pagado";
            case "cancelled":
                return "Cancelado";
            default:
                return "";
        }
    }
}
