package com.hcordova.flightagencyapi.reservation.dto;

import com.hcordova.flightagencyapi.reservation.domain.models.Reservation;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ReservationPassengerDTO {
    private Long id;
    private String airportOrigin;
    private String airportDestination;
    private String reservationMade;
    private String status;
    private Double cost;

    public ReservationPassengerDTO(Reservation reservation) {
        this.id = reservation.getId();
        this.airportOrigin = reservation.getLegs().get(0).getFlightSchedule().getAirportOrigin().getName();
        this.airportDestination = reservation.getLegs().get(0).getFlightSchedule().getAirportDestination().getName();
        this.reservationMade = reservation.getCreatedAt().toString();
        this.status = convertStatus(reservation.getStatus().getName());
        this.cost = reservation.getPayment().getAmount();
    }

    private String convertStatus(String status) {
        switch (status.toLowerCase()) {
            case "registered":
                return "Registrado";
            case "processing_payment":
                return "Procesando pago";
            case "paid":
                return "Pagado";
            case "cancelled":
                return "Cancelado";
            default:
                return "";
        }
    }
}
