package com.hcordova.flightagencyapi.reservation.services;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.reservation.domain.models.ReservationStatus;
import com.hcordova.flightagencyapi.reservation.domain.repositories.ReservationStatusRepository;
import com.hcordova.flightagencyapi.reservation.domain.services.ReservationStatusService;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class ReservationStatusServiceImpl implements ReservationStatusService {

    private final ReservationStatusRepository reservationStatusRepository;
    
    @Override
    public ReservationStatus findByName(String name) {
        return reservationStatusRepository.findByName(name)
            .orElseThrow(() -> new NotFoundException("Reservation status not found"));
    }
    
}
