package com.hcordova.flightagencyapi.reservation.services;

import java.util.List;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.reservation.domain.models.TicketType;
import com.hcordova.flightagencyapi.reservation.domain.repositories.TicketTypeRepository;
import com.hcordova.flightagencyapi.reservation.domain.services.TicketTypeService;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class TicketTypeServiceImpl implements TicketTypeService {
    
    private final TicketTypeRepository ticketTypeRepository;

    @Override
    public List<TicketType> getAll() {
        return ticketTypeRepository.findAll();
    }

    @Override
    public TicketType getById(Long id) {
        return ticketTypeRepository.findById(id)
            .orElseThrow(() -> new NotFoundException(String.format("TicketType with id %d not found", id)));
    }
}
