package com.hcordova.flightagencyapi.reservation.services;

import java.util.List;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.reservation.domain.models.TravelClass;
import com.hcordova.flightagencyapi.reservation.domain.repositories.TravelClassRepository;
import com.hcordova.flightagencyapi.reservation.domain.services.TravelClassService;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class TravelClassServiceImpl implements TravelClassService {
    private final TravelClassRepository travelClassRepository;

    @Override
    public List<TravelClass> getAll() {
        return travelClassRepository.findAll();
    }

    @Override
    public TravelClass getById(Long id) {
        return travelClassRepository.findById(id)
            .orElseThrow(() -> new NotFoundException(String.format("TravelClass with id %d not found", id)));
    }
    
}
