package com.hcordova.flightagencyapi.shared.controllers;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hcordova.flightagencyapi.shared.domain.services.AuthenticationService;
import com.hcordova.flightagencyapi.shared.dto.SignInRequestDTO;
import com.hcordova.flightagencyapi.shared.dto.SignInResponseDTO;
import com.hcordova.flightagencyapi.shared.dto.SignUpRequestDTO;
import com.hcordova.flightagencyapi.shared.dto.SignUpResponseDTO;

import lombok.RequiredArgsConstructor;

@CrossOrigin(origins = "*")
@RestController
@RequestMapping("/api/v1/auth")
@RequiredArgsConstructor
public class AuthenticationController {

    private final AuthenticationService authenticationService;
    
    @PostMapping("sign-in")
    public ResponseEntity<SignInResponseDTO> signIn(@RequestBody SignInRequestDTO requestDTO) {
        return authenticationService.signIn(requestDTO);
    }

    @PostMapping("sign-up")
    public ResponseEntity<SignUpResponseDTO> signUp(@RequestBody SignUpRequestDTO requestDTO) {
        return authenticationService.signUp(requestDTO);
    }
}
