package com.hcordova.flightagencyapi.supervisor.controllers;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hcordova.flightagencyapi.supervisor.domain.services.SupervisorService;
import com.hcordova.flightagencyapi.supervisor.dto.SupervisorDTO;

import lombok.RequiredArgsConstructor;

@RestController
@RequestMapping("/api/v1/supervisors")
@RequiredArgsConstructor
public class SupervisorController {
    private final SupervisorService supervisorService;

    @GetMapping
    public ResponseEntity<List<SupervisorDTO>> getAll() {
        List<SupervisorDTO> supervisors = supervisorService.getAll().stream().map(supervisor -> {
            return new SupervisorDTO(supervisor);
        }).toList();
        return ResponseEntity.ok(supervisors);
    }
}
