import { Component, Input, OnInit } from '@angular/core';
import { Passenger } from '../../interfaces/passenger.interface';
import { TicketType } from '../../interfaces/ticket-type.interface';
import { FlightClass } from '../../interfaces/flight-class.interface';
import { TableModel } from 'src/app/shared/interfaces/table-model.interface';
import { PassengerService } from '../../services/passenger.service';
import { TicketTypeService } from '../../services/ticket-type.service';
import { TicketClassService } from '../../services/ticket-class.service';
import { DropdownElement } from 'src/app/shared/interfaces/dropdown-element-interface';
import { FormControl, FormGroup } from '@angular/forms';

@Component({
  selector: 'agent-base-information',
  templateUrl: './base-information.component.html',
  styleUrls: ['./base-information.component.css']
})
export class BaseInformationComponent {

  constructor() {}

  public passengerModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'fullname',
      title: 'Nombre'
    },
    {
      name: 'email',
      title: 'Correo'
    },
    {
      name: 'phone',
      title: 'Teléfono'
    }
  ];

  @Input()
  public group: FormGroup = new FormGroup({
    passenger: new FormControl<number | null>(null),
    ticketType: new FormControl<number | null>(null),
    flightClass: new FormControl<number | null>(null),
  });

  getControl(name: string): FormControl<number | null> {
    return this.group.get(name) as FormControl<number | null>;
  }

  @Input()
  public passengers: Passenger[] = [];

  @Input()
  public ticketTypes: DropdownElement[] = [];

  @Input()
  public flightClass: DropdownElement[] = [];
}
