import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Airport } from '../interfaces/airport.interface';
import { headers } from 'src/app/shared/utils/header.util';
import { environment } from 'src/environments/environment';

@Injectable({providedIn: 'root'})
export class AirportsService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = `${environment.url}/api/v1/airports`;

  getAll(): Observable<Airport[]> {
    return this.http.get<Airport[]>(this.BASE_URL, { headers });
  }
}
