import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FlightClass } from '../interfaces/flight-class.interface';
import { headers } from 'src/app/shared/utils/header.util';
import { environment } from 'src/environments/environment';

@Injectable({providedIn: 'root'})
export class TicketClassService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = `${environment.url}/api/v1/ticket-classes`;

  getAll(): Observable<FlightClass[]> {
    return this.http.get<FlightClass[]>(this.BASE_URL, { headers });
  }
}
