import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { TicketType } from '../interfaces/ticket-type.interface';
import { Observable } from 'rxjs';
import { headers } from 'src/app/shared/utils/header.util';
import { environment } from 'src/environments/environment';

@Injectable({providedIn: 'root'})
export class TicketTypeService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = `${environment.url}/api/v1/ticket-types`;

  getAll(): Observable<TicketType[]> {
    return this.http.get<TicketType[]>(this.BASE_URL, { headers });
  }
}
