import { Component, EventEmitter, Input, Output } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'shared-confirm-dialog',
  templateUrl: './confirm-dialog.component.html',
  styleUrls: ['./confirm-dialog.component.css']
})
export class ConfirmDialogComponent {
  constructor(private router: Router) { }

  @Output()
  public onDialogResult: EventEmitter<boolean> = new EventEmitter();

  @Input()
  public title: string = 'Titulo';

  @Input()
  public message: string = '¿Es es su mensaje?';

  @Input()
  public icon: string = 'bi-question-circle';

  onEmitDeleted(result: boolean): void {
    this.onDialogResult.emit(result);
  }
}
