import { Component, Input } from '@angular/core';
import { FormControl } from '@angular/forms';

@Component({
  selector: 'shared-input-currency',
  templateUrl: './input-currency.component.html',
  styleUrls: ['./input-currency.component.css']
})
export class InputCurrencyComponent {
  @Input()
  public label: string = '';

  @Input()
  public name: string = '';

  @Input()
  public control?: FormControl<number | null>;

  isInputValid(): boolean | null {
    return this.control? this.control?.errors && this.control?.touched : null;
  }

  getFieldError(): string | null {
    const errors = this.control?.errors || {};

    for (const key of Object.keys(errors)) {
      switch (key) {
        case 'required':
          return 'Este campo es requerido';
        case 'numberNegative':
          return 'El valor no puede ser negativo';
        case 'numberZero':
          return 'El valor no puede ser cero';
      }
    }
    return null;
  }
}
