import { Component, Input } from '@angular/core';
import { DropdownElement } from '../../interfaces/dropdown-element-interface';
import { FormControl } from '@angular/forms';

@Component({
  selector: 'shared-input-dropdown',
  templateUrl: './input-dropdown.component.html',
  styleUrls: ['./input-dropdown.component.css']
})
export class InputDropdownComponent {

  @Input()
  public name: string | null = null;

  @Input()
  public data: DropdownElement[] = []

  @Input()
  public control: FormControl<number | null> = new FormControl(null);

  isInputValid(): boolean | null {
    return this.control? this.control?.errors && this.control?.touched : null;
  }

  getFieldError(): string | null {
    const errors = this.control?.errors || {};

    for (const key of Object.keys(errors)) {
      switch (key) {
        case 'required':
          return 'Este campo es requerido';
        case 'airportEqual':
          return 'El aeropuerto destino debe ser diferente al de origen';
        case 'airportOrigin':
          return 'El aeropuerto destino debe ser diferente al de origen';
      }
    }
    return null;
  }
}
