import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { TableModel } from '../../interfaces/table-model.interface';
import { FormControl } from '@angular/forms';

@Component({
  selector: 'shared-input-selector',
  templateUrl: './input-selector.component.html',
  styleUrls: ['./input-selector.component.css']
})
export class InputSelectorComponent {

  constructor() {}

  @Input()
  public isActivated: boolean = false;

  @Input()
  public tableModel: TableModel[] = []

  @Input()
  public tableData: any[] = [];

  @Input()
  public name: string = '';

  @Input()
  public fieldShow: string = 'name';

  @Input()
  public control: FormControl<number | null> = new FormControl<number | null>(null);

  getValue(): string | null {
    return this.control.value != null ? this.tableData.find(item => item.id === this.control.value)?.[this.fieldShow] : '';
  }

  isNotValidInput(): boolean | null {
    return this.control ? this.control.invalid && this.control.touched : false;
  }

  closeDialog(): void {
    this.isActivated = false;
    this.control.markAsTouched();
  }

  openDialog(): void {
    this.isActivated = true;
  }

  selectItem(item: any): void {
    this.isActivated = false;
    this.control.setValue(item.id);
  }
}
