import { Component, EventEmitter, Output } from '@angular/core';
import { Router } from '@angular/router';
import { SecurityResponse } from 'src/app/security/models/security-response.interface';
import { SecurityService } from 'src/app/security/services/security.service';

@Component({
  selector: 'shared-navigation-user',
  templateUrl: './navigation-user.component.html',
  styleUrls: ['./navigation-user.component.css']
})
export class NavigationUserComponent {

  @Output()
  public toggleSidebarEvent: EventEmitter<void> = new EventEmitter<void>();

  constructor(private router: Router,
    private securityService: SecurityService) { }

  toggleSidebar():void {
    this.toggleSidebarEvent.emit();
  }

  get username(): string | null {
    const userLogged = this.securityService.currentUser;
    if (userLogged == null) return null;
    return `${userLogged.name.toLowerCase().substring(0, 1)}${userLogged.lastname.split(' ')[0].toLowerCase()}`
  }

  logout(): void {
    this.securityService.logout();
  }
}
