import { Component, EventEmitter, Input, Output } from '@angular/core';
import { TableModel } from '../../interfaces/table-model.interface';
import { TableAction } from '../../interfaces/table-action.interface';
import { Router } from '@angular/router';
import { TablePagination } from '../../interfaces/table-pagination.interface';

@Component({
  selector: 'shared-table-custom',
  templateUrl: './table-custom.component.html',
  styleUrls: ['./table-custom.component.css']
})
export class TableCustomComponent {

  @Input()
  public tableAction: TableAction[] = [];

  @Input()
  public onClickItem: (item: any) => void = (item) => { console.log(item); };

  @Input()
  public tableData!: any[];

  public showTable: any[] = [];

  @Input()
  public tableModel: TableModel[] = [];

  public pagination: TablePagination = { init: 0, end: 5 };

  tableShowElements(): any[] {
    return this.tableData.filter((item, index) => index >= this.pagination.init && index < this.pagination.end);
  }

  @Output()
  public onSelect: EventEmitter<any[]> = new EventEmitter<any[]>();

  constructor(private router: Router) { }

  onSelectRow(row: any): void {
    this.onSelect.emit(row);
  }

  onChangePagination(tablePagination: TablePagination) {
    this.pagination = tablePagination;
    this.showTable = this.tableShowElements();
  }
}
